{
  num: -13007,
  accuracy: 100,
  basePower: 85,
  category: "Special",
  name: "Hyorinmaru",
  pp: 10,
  priority: 0,
  flags: { protect: 1, mirror: 1, metronome: 1 },
  secondary: { chance: 30, status: "frz" },
  onHit(target, source, move) {
    if (!target || !source) return;
    const alreadySlowedOrFrozen = target.status === "frz" || (target.boosts?.spe || 0) < 0;
    if (this.field.isWeather(["snow"])) this.boost({spe: -1}, target, source, move);
    if (alreadySlowedOrFrozen) target.addVolatile("icebind", source, move);
  },
  target: "normal",
  type: "Ice",
  zMove: { basePower: 160 },
  contestType: "Beautiful",
  desc: "Has a 30% chance to freeze. During snow, it lowers Speed by 1. If the target is already slowed or frozen, it traps the target in Ice Bind."
}
